Bug 108648 - openoffice.org-2-devel broken?
Summary: openoffice.org-2-devel broken?
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-01 09:00 UTC by T.K
Modified: 2007-06-15 11:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description T.K 2007-02-01 09:00:36 UTC
-------------
/usr/ports/editors/openoffice.org-2-devel/work/SRC680_m200/filter/source/xsltfilter
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: -+ls -1 $(JARDIR) | $(GREP) "^$i"
dmake: Executing shell macro: $(FIND) . -name "{$(subst,$($(WINVERSIONNAMES)_MAJOR),* $(subst,$(UPD)$(DLLPOSTFIX), $(SHL1TARGET)))}.xml"
Making dpj...
dmake: Executing shell macro: +$(STARDEP) @$(mktmp -o $@ -i $(CLASSDIR) $(foreach,i,$(JAVADEPINCLUDES:s/:/ /) -i $i) $(JAVACLASSFILES))
..
/usr/local/lib/jvm/java-gcj41/bin/gcj --encoding=UTF-8 -O2 -fno-assert -Wno-deprecated -C -classpath ".:../../unxfbsdi.pro/class::/usr/ports/editors/openoffice.org-2-devel/work/SRC680_m200/solver/680/unxfbsdi.pro/bin/ridl.jar:/usr/ports/editors/openoffice.org-2-devel/work/SRC680_m200/solver/680/unxfbsdi.pro/bin/unoil.jar:/usr/ports/editors/openoffice.org-2-devel/work/SRC680_m200/solver/680/unxfbsdi.pro/bin/jurt.jar:/usr/ports/editors/openoffice.org-2-devel/work/SRC680_m200/solver/680/unxfbsdi.pro/bin/juh.jar:/usr/ports/editors/openoffice.org-2-devel/work/SRC680_m200/solver/680/unxfbsdi.pro/bin/xalan.jar:/usr/ports/editors/openoffice.org-2-devel/work/SRC680_m200/solver/680/unxfbsdi.pro/bin/xercesImpl.jar:/usr/ports/editors/openoffice.org-2-devel/work/SRC680_m200/solver/680/unxfbsdi.pro/bin/xml-apis.jar" -d ../../unxfbsdi.pro/class  XSLTransformer.java  XSLTFilterOLEExtracter.java XSLTXalanOLEExtracter.java
XSLTXalanOLEExtracter.java: In class 'XSLTXalanOLEExtracter':
XSLTXalanOLEExtracter.java: In method 'XSLTXalanOLEExtracter.init(org.apache.xalan.extensions.XSLProcessorContext,org.apache.xalan.templates.ElemExtensionCall)':
XSLTXalanOLEExtracter.java:52: error: cannot find file for class org.apache.xml.serializer.SerializerTrace
XSLTXalanOLEExtracter.java:52: error: cannot find file for class org.apache.xml.serializer.SerializerTrace
dmake:  Error code 1, while making '../../unxfbsdi.pro/misc/XSLTFilter_dummy.java'
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice.org-2-devel/work/SRC680_m200/filter/source/xsltfilter
dmake:  Error code 1, while making 'build_instsetoo_native'
'---*  *---'
*** Error code 255

How-To-Repeat: make BATCH=yes WITH_CJK=1 WITH_TTF_BYTECODE_ENABLED=1 WITH_GNUGCJ=1 WITH_CUPS=1 WITH_KDE=1 WITH_GPC=1 WITH_EVOLUTION2=1 LOCALIZED_LANG=all
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2007-02-01 09:31:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 freebsd 2007-02-01 16:15:51 UTC
This is most likely a openoffice.org-2-devel version of ports/107645. 
Both openoffice.org-2 and openoffice.org-2-devel fail to compile when 
WITH_GNUGCJ=1 is used and the two prs indicate that they break at very 
similar stages.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2007-04-01 12:31:02 UTC
State Changed
From-To: open->feedback

Does this problem still recur with the latest openoffice?
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2007-06-15 11:13:33 UTC
State Changed
From-To: feedback->closed

Feedback timeout (> 2 months).